org.apache.calcite.avatica.proto

## Class Responses.SyncResultsResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Responses.SyncResultsResponse

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Responses.SyncResultsResponseOrBuilder

Enclosing class:
  Responses

    public static final class Responses.SyncResultsResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements Responses.SyncResultsResponseOrBuilder

Protobuf type `SyncResultsResponse`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Responses.SyncResultsResponse.Builder` Protobuf type `SyncResultsResponse`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`private static Responses.SyncResultsResponse` `DEFAULT_INSTANCE`
`private byte` `memoizedIsInitialized`
`private Responses.RpcMetadata` `metadata_`
`static int` `METADATA_FIELD_NUMBER`
`static int` `MISSING_STATEMENT_FIELD_NUMBER`
`private boolean` `missingStatement_`
`static int` `MORE_RESULTS_FIELD_NUMBER`
`private boolean` `moreResults_`
`private static com.google.protobuf.Parser<Responses.SyncResultsResponse>` `PARSER`
`private static long` `serialVersionUID`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `SyncResultsResponse()`
`private` `SyncResultsResponse(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `SyncResultsResponse(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static Responses.SyncResultsResponse` `getDefaultInstance()`
`Responses.SyncResultsResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 3;`
`boolean` `getMissingStatement()` Server doesn't have the statement with the ID from the request
`boolean` `getMoreResults()` Should the client fetch() to get more results
`com.google.protobuf.Parser<Responses.SyncResultsResponse>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Responses.SyncResultsResponse.Builder` `newBuilder()`
`static Responses.SyncResultsResponse.Builder` `newBuilder(Responses.SyncResultsResponse prototype)`
`Responses.SyncResultsResponse.Builder` `newBuilderForType()`
`protected Responses.SyncResultsResponse.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Responses.SyncResultsResponse` `parseDelimitedFrom(InputStream input)`
`static Responses.SyncResultsResponse` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.SyncResultsResponse` `parseFrom(byte[] data)`
`static Responses.SyncResultsResponse` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.SyncResultsResponse` `parseFrom(com.google.protobuf.ByteString data)`
`static Responses.SyncResultsResponse` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.SyncResultsResponse` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Responses.SyncResultsResponse` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Responses.SyncResultsResponse` `parseFrom(InputStream input)`
`static Responses.SyncResultsResponse` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Responses.SyncResultsResponse>` `parser()`
`Responses.SyncResultsResponse.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### MISSING_STATEMENT_FIELD_NUMBER

    public static final int MISSING_STATEMENT_FIELD_NUMBER

See Also:
  Constant Field Values

#### missingStatement_

    private boolean missingStatement_

#### MORE_RESULTS_FIELD_NUMBER

    public static final int MORE_RESULTS_FIELD_NUMBER

See Also:
  Constant Field Values

#### moreResults_

    private boolean moreResults_

#### METADATA_FIELD_NUMBER

    public static final int METADATA_FIELD_NUMBER

See Also:
  Constant Field Values

#### metadata_

    private Responses.RpcMetadata metadata_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Responses.SyncResultsResponse DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Responses.SyncResultsResponse> PARSER

### Constructor Detail

#### SyncResultsResponse

    private SyncResultsResponse(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### SyncResultsResponse

    private SyncResultsResponse()

#### SyncResultsResponse

    private SyncResultsResponse(com.google.protobuf.CodedInputStream input,
                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                         throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getMissingStatement

    public boolean getMissingStatement()

     Server doesn't have the statement with the ID from the request

`optional bool missing_statement = 1;`

Specified by:
  `getMissingStatement` in interface `Responses.SyncResultsResponseOrBuilder`

#### getMoreResults

    public boolean getMoreResults()

     Should the client fetch() to get more results

`optional bool more_results = 2;`

Specified by:
  `getMoreResults` in interface `Responses.SyncResultsResponseOrBuilder`

#### hasMetadata

    public boolean hasMetadata()

`optional .RpcMetadata metadata = 3;`

Specified by:
  `hasMetadata` in interface `Responses.SyncResultsResponseOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 3;`

Specified by:
  `getMetadata` in interface `Responses.SyncResultsResponseOrBuilder`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 3;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.SyncResultsResponseOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(com.google.protobuf.ByteString data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(com.google.protobuf.ByteString data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(byte[] data)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(byte[] data,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(InputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Responses.SyncResultsResponse parseDelimitedFrom(InputStream input)
                                                            throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Responses.SyncResultsResponse parseDelimitedFrom(InputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(com.google.protobuf.CodedInputStream input)
                                                   throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Responses.SyncResultsResponse parseFrom(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Responses.SyncResultsResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Responses.SyncResultsResponse.Builder newBuilder()

#### newBuilder

    public static Responses.SyncResultsResponse.Builder newBuilder(Responses.SyncResultsResponse prototype)

#### toBuilder

    public Responses.SyncResultsResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Responses.SyncResultsResponse.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Responses.SyncResultsResponse getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Responses.SyncResultsResponse> parser()

#### getParserForType

    public com.google.protobuf.Parser<Responses.SyncResultsResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Responses.SyncResultsResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`